%define upstream_name	 Email-MIME
%define upstream_version 1.911

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Easy MIME message parsing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::MIME::ContentType) >= 1.11.0
BuildRequires: perl(Email::MIME::Encodings) >= 1.313.0
BuildRequires: perl(Email::MessageID)
BuildRequires: perl(Email::Simple) >= 2.102.0
BuildRequires: perl(Email::Simple::Creator)
BuildRequires: perl(Encode) >= 1.980.100
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Types) >= 1.130.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

Obsoletes:  perl-Email-MIME-Creator <= 1.456.0
Provides:   perl-Email-MIME-Creator  = 1.456.0
Obsoletes:  perl-Email-MIME-Modifier <= 1.444.0
Provides:   perl-Email-MIME-Modifier  = 1.444.0

Requires:   perl(Email::Simple)
%description
This is an extension of the Email::Simple module, to handle MIME encoded
messages. It takes a message as a string, splits it up into its constituent
parts, and allows you access to various parts of the message. Headers are
decoded from MIME encoding.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.911.0-2.mga3
+ Revision: 366792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.911.0-1.mga3
+ Revision: 294864
- update to 1.911

* Mon Sep 26 2011 jquelin <jquelin> 1.910.0-1.mga2
+ Revision: 148273
- update to 1.910

* Wed Jun 15 2011 jquelin <jquelin> 1.908.0-1.mga2
+ Revision: 106934
- update to 1.908

* Wed Feb 16 2011 jquelin <jquelin> 1.907.0-1.mga1
+ Revision: 52475
- update to 1.907

* Sat Jan 22 2011 jquelin <jquelin> 1.906.0-1.mga1
+ Revision: 31944
- mageia rebuild
- imported package perl-Email-MIME

